#
# spec file for package perl-Test-TCP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-TCP
Version:        2.19
Release:        lp151.2.1
%define cpan_name Test-TCP
Summary:        Testing Tcp Program
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-TCP/
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Socket::IP)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::SharedFork) >= 0.29
Requires:       perl(IO::Socket::IP)
Requires:       perl(Test::SharedFork) >= 0.29
%{perl_requires}

%description
Test::TCP is a test utility to test TCP/IP-based server programs.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README.md
%license LICENSE

%changelog
* Fri May 12 2017 coolo@suse.com
- updated to 2.19
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.19 2017-05-11T13:02:47Z
    commit aac1b06c1e3b0d73ca964794bab0c444d454ebcc
    Author: Yasuhiro Matsumoto <mattn.jp@gmail.com>
    Date:   Thu May 11 18:40:13 2017 +0900
    don't run command when the port is empty
    Test::TCP do hack on Windows for checking port used.
    https://github.com/tokuhirom/Test-TCP/commit/0f4510d8
    But this way always return 0 with succeeded with empty port. This is not
    expected behavior. So this change fix to call check_port if the port is
    not defined.
    fixes #60
* Tue Apr 25 2017 coolo@suse.com
- updated to 2.18
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.18 2017-04-24T06:00:25Z
  - let the kernel select an empty port #59
    https://github.com/tokuhirom/Test-TCP/pull/59
    (i110)
* Fri Aug 19 2016 coolo@suse.com
- updated to 2.17
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.17 2016-08-18T14:42:56Z
  - check_port can take 'host' argument(#55)
  - Fix test on Windows issue(#55)
* Sun May  1 2016 coolo@suse.com
- updated to 2.16
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.16 2016-04-13T02:27:43Z
    commit 3ae73a349f70f06c60de3f635916929bc8643429
    Author: Alex Vandiver <alex@chmrr.net>
    Date:   Tue Apr 12 00:33:21 2016 -0700
    Ensure that IO::Socket::IP is DESTROY'd before can_bind returns
    be316f1f worked around a core perl bug[1] which causes Perl < 5.24.0
    to DESTROY the IO::Socket::IP object too late, causing the empty port
    to not actually be empty if it was used immediately.
    Unfortunately, this change was lost in ba745fd1, which again put the
    return of `can_bind` on the stack along with the actual return value,
    re-instating the bug.
    Split the statement across two statements again, and add a comment on
    the importance of preserving it.
    [1] https://rt.perl.org/Public/Bug/Display.html?id=124248
* Mon Mar 21 2016 coolo@suse.com
- updated to 2.15
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.15 2016-03-15T00:25:52Z
  - Add listen_socket function and listen option for race-free operation
* Sun Oct  4 2015 coolo@suse.com
- updated to 2.14
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.14 2015-09-29T22:36:44Z
  - Fix race condition in t/10_oo.t(exodist)
* Fri Jul 24 2015 coolo@suse.com
- updated to 2.13
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.13 2015-07-24T02:30:17Z
  - check whether the OS implements IPV6_V6ONLY before using it
* Tue May 19 2015 coolo@suse.com
- updated to 2.12
  see /usr/share/doc/packages/perl-Test-TCP/Changes
  2.12 2015-05-18T08:14:30Z
  - Fixed spelling mistake
    (Reported by gregor herrmann)
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.11
  see /usr/share/doc/packages/perl-Test-TCP/Changes
- remove long dead test-no-note.patch
* Mon Nov 25 2013 coolo@suse.com
- updated to 2.02
  - Fixed fork(2) error handling.  (tokuhirom)
* Fri Oct  4 2013 coolo@suse.com
- updated to 2.01
    test waitport argument by running full code-chain, not with partial mocking
    The partial mocks cause stuck forks on win32 at times, causing the test to
    hang. With the full code chain present the test runs reliably
  [INCOMPATIBLE CHANGES]
  - Change wait_port() API to take max_wait seconds, and wait exponentially.
    Dropped wait_port_retry argument introduced at 1.27.
    (miyagawa)
  - Increase the default sleep and retry: 0.01 sec and 1000 times
    (miyagawa)
  - Care the `test_tcp(port => undef)` case.
    https://github.com/tokuhirom/Test-TCP/issues/13
  - Added wait_port_sleep and wait_port_retry option for
    Test::TCP::wait_port, Test::TCP#new, test_tcp().
    (tokuhirom)
  - export wait_port from Net::EmptyPort
    (Pavel Shaydo)
  - Make default wait_port() sleeping time shorter.
    0.1sec => 0.0001sec.
    (tokuhirom)
  - Remove unused deps from cpanfile.
- remove no longer necessary test-no-note.patch
* Thu Jun  7 2012 lars@linux-schulserver.de
- update to 1.15:
  + ${^CHILD_ERROR_NATIVE} is only available in perl > 5.8.9
  + Fixed testing issue on AIX.
    https://rt.cpan.org/Public/Bug/Display.html?id=72779
  + depend to Test::SharedFork 0.19 for better TB2 support
  + change port number range from 10000 .. 11000 to
    50000 .. 60000 to respect IANA.
    https://rt.cpan.org/Ticket/Display.html?id=64012
  + more diagnostic messages
  + localize $@ in Test::TCP::DESTROY
  + added Test::TCP->stop method
  + added document in FAQ section
  + new OO interface!
  + allow forking in the client(lestrrat)
- updated dependencies
- small specfile cleanup
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Sep 22 2010 dbahi@novell.com
- remove note calls in t/01_ and t/08_
* Tue Sep 21 2010 dbahi@novell.com
- initial package 1.06
  * created by cpanspec 1.78
